Subject: subir's email
From: Deeksha Dadu <[email-masked]>
To: Ashish Dabral <[email-masked]>
Date: Tue, 3 May 2022 08:38:30 +0000

Dear Saurabh Sir,

Hope you and Deeksha ma'am are doing well.

As the follow-up call didn't materialize after our quick call from earlier this month, I'm writing this email to give an overview of the Glopal account you assigned me.

Point 1:
To best summarize the current volume, as I write this email to you, we have 2 pages of 'Open Tickets' i.e approx 60 cases.
Most importantly, this is after a weekend, when cases should have been down to a minimum.

So, either we are not adequately staffed to handle the volume, or the current team is not giving the optimum output. Sadly, I do not have access to check the daily productivity of the agent/s and how they are utilizing their shift time. Therefore, I am unable to comment on which could be the reason for this backlog.

Point 2:
Consequently, this is affecting my work as well. I am supposed to handle Level 2 Tickets, and escalations but end up with pages of Open Tickets on daily basis.
The team should have an option to escalate to Level 2 on Zendesk so I can straight away review them. Kindly see if this could be worked out.

Point 3:
The Tickets we do currently have become complex as compared to when I initially started with simple Tickets. We are now handling every issue ticket which includes Cancellation, Refunds, Claims, Chargebacks, etc. As such, it requires a deeper understanding and more time for the agent to work on them. To this, I want dedicated resources (currently I have 1 agent only) to manage the account and should not be shared/diverted to other accounts.

Additionally, the current agent requires further understanding of the process. Despite consistent feedback, the learning curve is not up to the expectation. Any slightly difficult tickets are left unattended for days. Therefore, my reason for L2 Q. Would also seek here your suggestion as to the best way to share feedback and the platform, so they are not ignored and repeat errors are highlighted.

Point 4:
My role has increased over time and has been very challenging due to unresponsive clients especially when I am working for a limited time. Despite the limitations, been working overtime when needed or to cover the leaves of an agent. As such, it would be only fair to seek an increment as initially requested. Kindly see if you can make it 30K within the current terms.

Look forward to hearing from you on the issue raised.

Have a good night!

--